diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/link-template.php ./wordpress-3.3/wp-includes/link-template.php
*** ./wordpress-3.2.1/wp-includes/link-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/link-template.php	2011-10-24 14:13:23.000000000 -0500
***************
*** 2061,2069 ****
   * @since 3.0.0
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
!  * @param string $path Optional path relative to the admin url
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended
  */
  function get_admin_url( $blog_id = null, $path = '', $scheme = 'admin' ) {
  	$url = get_site_url($blog_id, 'wp-admin/', $scheme);
--- 1961,1969 ----
   * @since 3.0.0
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
!  * @param string $path Optional path relative to the admin url.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended.
  */
  function get_admin_url( $blog_id = null, $path = '', $scheme = 'admin' ) {
  	$url = get_site_url($blog_id, 'wp-admin/', $scheme);
***************
*** 2154,2160 ****
  /**
   * Retrieve the site url for the current network.
   *
!  * Returns the site url with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 2054,2060 ----
  /**
   * Retrieve the site url for the current network.
   *
!  * Returns the site url with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 2162,2168 ****
   * @since 3.0.0
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function network_site_url( $path = '', $scheme = null ) {
--- 2062,2068 ----
   * @since 3.0.0
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function network_site_url( $path = '', $scheme = null ) {
***************
*** 2194,2200 ****
  /**
   * Retrieve the home url for the current network.
   *
!  * Returns the home url with the appropriate protocol,  'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
--- 2094,2100 ----
  /**
   * Retrieve the home url for the current network.
   *
!  * Returns the home url with the appropriate protocol, 'https' if
   * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
   * overridden.
   *
***************
*** 2202,2208 ****
   * @since 3.0.0
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
   * @return string Home url link with optional path appended.
  */
  function network_home_url( $path = '', $scheme = null ) {
--- 2102,2108 ----
   * @since 3.0.0
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function network_home_url( $path = '', $scheme = null ) {
***************
*** 2230,2238 ****
   * @package WordPress
   * @since 3.0.0
   *
!  * @param string $path Optional path relative to the admin url
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended
  */
  function network_admin_url( $path = '', $scheme = 'admin' ) {
  	if ( ! is_multisite() )
--- 2130,2138 ----
   * @package WordPress
   * @since 3.0.0
   *
!  * @param string $path Optional path relative to the admin url.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended.
  */
  function network_admin_url( $path = '', $scheme = 'admin' ) {
  	if ( ! is_multisite() )
***************
*** 2252,2260 ****
   * @package WordPress
   * @since 3.0.0
   *
!  * @param string $path Optional path relative to the admin url
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended
  */
  function user_admin_url( $path = '', $scheme = 'admin' ) {
  	$url = network_site_url('wp-admin/user/', $scheme);
--- 2152,2160 ----
   * @package WordPress
   * @since 3.0.0
   *
!  * @param string $path Optional path relative to the admin url.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended.
  */
  function user_admin_url( $path = '', $scheme = 'admin' ) {
  	$url = network_site_url('wp-admin/user/', $scheme);
***************
*** 2271,2279 ****
   * @package WordPress
   * @since 3.1.0
   *
!  * @param string $path Optional path relative to the admin url
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended
  */
  function self_admin_url($path = '', $scheme = 'admin') {
  	if ( is_network_admin() )
--- 2171,2179 ----
   * @package WordPress
   * @since 3.1.0
   *
!  * @param string $path Optional path relative to the admin url.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Admin url link with optional path appended.
  */
  function self_admin_url($path = '', $scheme = 'admin') {
  	if ( is_network_admin() )
***************
*** 2287,2302 ****
  /**
   * Get the URL to the user's dashboard.
   *
!  * If a user does not belong to any sites, the global user dashboard is used.  If the user belongs to the current site,
!  * the dashboard for the current site is returned.  If the user cannot edit the current site, the dashboard to the user's
   * primary blog is returned.
   *
   * @since 3.1.0
   *
   * @param int $user_id User ID
!  * @param string $path Optional path relative to the dashboard.  Use only paths known to both blog and user admins.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Dashboard url link with optional path appended
   */
  function get_dashboard_url( $user_id, $path = '', $scheme = 'admin' ) {
  	$user_id = (int) $user_id;
--- 2187,2202 ----
  /**
   * Get the URL to the user's dashboard.
   *
!  * If a user does not belong to any site, the global user dashboard is used.  If the user belongs to the current site,
!  * the dashboard for the current site is returned. If the user cannot edit the current site, the dashboard to the user's
   * primary blog is returned.
   *
   * @since 3.1.0
   *
   * @param int $user_id User ID
!  * @param string $path Optional path relative to the dashboard. Use only paths known to both blog and user admins.
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Dashboard url link with optional path appended.
   */
  function get_dashboard_url( $user_id, $path = '', $scheme = 'admin' ) {
  	$user_id = (int) $user_id;
***************
*** 2329,2335 ****
   *
   * @param int $user User ID
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Dashboard url link with optional path appended
   */
  function get_edit_profile_url( $user, $scheme = 'admin' ) {
  	$user = (int) $user;
--- 2229,2235 ----
   *
   * @param int $user User ID
   * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
!  * @return string Dashboard url link with optional path appended.
   */
  function get_edit_profile_url( $user, $scheme = 'admin' ) {
  	$user = (int) $user;
***************
*** 2345,2351 ****
  }
  
  /**
!  * Output rel=canonical for singular queries
   *
   * @package WordPress
   * @since 2.9.0
--- 2245,2251 ----
  }
  
  /**
!  * Output rel=canonical for singular queries.
   *
   * @package WordPress
   * @since 2.9.0
***************
*** 2365,2378 ****
  /**
   * Return a shortlink for a post, page, attachment, or blog.
   *
!  * This function exists to provide a shortlink tag that all themes and plugins can target.  A plugin must hook in to
!  * provide the actual shortlinks.  Default shortlink support is limited to providing ?p= style links for posts.
!  * Plugins can short circuit this function via the pre_get_shortlink filter or filter the output
   * via the get_shortlink filter.
   *
   * @since 3.0.0.
   *
!  * @param int $id A post or blog id.  Default is 0, which means the current post or blog.
   * @param string $context Whether the id is a 'blog' id, 'post' id, or 'media' id. If 'post', the post_type of the post is consulted. If 'query', the current query is consulted to determine the id and context. Default is 'post'.
   * @param bool $allow_slugs Whether to allow post slugs in the shortlink. It is up to the plugin how and whether to honor this.
   * @return string A shortlink or an empty string if no shortlink exists for the requested resource or if shortlinks are not enabled.
--- 2265,2278 ----
  /**
   * Return a shortlink for a post, page, attachment, or blog.
   *
!  * This function exists to provide a shortlink tag that all themes and plugins can target. A plugin must hook in to
!  * provide the actual shortlinks. Default shortlink support is limited to providing ?p= style links for posts.
!  * Plugins can short-circuit this function via the pre_get_shortlink filter or filter the output
   * via the get_shortlink filter.
   *
   * @since 3.0.0.
   *
!  * @param int $id A post or blog id. Default is 0, which means the current post or blog.
   * @param string $context Whether the id is a 'blog' id, 'post' id, or 'media' id. If 'post', the post_type of the post is consulted. If 'query', the current query is consulted to determine the id and context. Default is 'post'.
   * @param bool $allow_slugs Whether to allow post slugs in the shortlink. It is up to the plugin how and whether to honor this.
   * @return string A shortlink or an empty string if no shortlink exists for the requested resource or if shortlinks are not enabled.
***************
*** 2405,2411 ****
  }
  
  /**
!  *  Inject rel=sortlink into head if a shortlink is defined for the current page.
   *
   *  Attached to the wp_head action.
   *
--- 2305,2311 ----
  }
  
  /**
!  *  Inject rel=shortlink into head if a shortlink is defined for the current page.
   *
   *  Attached to the wp_head action.
   *
***************
*** 2452,2461 ****
   *
   * @since 3.0.0
   *
!  * @param string $text Optional The link text or HTML to be displayed.  Defaults to 'This is the short link.'
!  * @param string $title Optional The tooltip for the link.  Must be sanitized.  Defaults to the sanitized post title.
   * @param string $before Optional HTML to display before the link.
!  * @param string $before Optional HTML to display after the link.
   */
  function the_shortlink( $text = '', $title = '', $before = '', $after = '' ) {
  	global $post;
--- 2352,2361 ----
   *
   * @since 3.0.0
   *
!  * @param string $text Optional The link text or HTML to be displayed. Defaults to 'This is the short link.'
!  * @param string $title Optional The tooltip for the link. Must be sanitized. Defaults to the sanitized post title.
   * @param string $before Optional HTML to display before the link.
!  * @param string $after Optional HTML to display after the link.
   */
  function the_shortlink( $text = '', $title = '', $before = '', $after = '' ) {
  	global $post;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/load.php ./wordpress-3.3/wp-includes/load.php
*** ./wordpress-3.2.1/wp-includes/load.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/load.php	2011-09-29 17:57:43.000000000 -0500
***************
*** 166,172 ****
  	header( 'Content-Type: text/html; charset=utf-8' );
  	header( 'Retry-After: 600' );
  ?>
! 	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  	<html xmlns="http://www.w3.org/1999/xhtml">
  	<head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
--- 166,172 ----
  	header( 'Content-Type: text/html; charset=utf-8' );
  	header( 'Retry-After: 600' );
  ?>
! 	<!DOCTYPE html>
  	<html xmlns="http://www.w3.org/1999/xhtml">
  	<head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
***************
*** 186,192 ****
   *
   * @access private
   * @since 0.71
!  * @global int $timestart Seconds and Microseconds added together from when function is called.
   * @return bool Always returns true.
   */
  function timer_start() {
--- 186,192 ----
   *
   * @access private
   * @since 0.71
!  * @global int $timestart Seconds and microseconds added together from when function is called.
   * @return bool Always returns true.
   */
  function timer_start() {
***************
*** 210,220 ****
   * timer_stop(1);
   * </code>
   * which will do what the above does. If you need the result, you can assign it to a variable, but
!  * most cases, you only need to echo it.
   *
   * @since 0.71
!  * @global int $timestart Seconds and Microseconds added together from when timer_start() is called
!  * @global int $timeend  Seconds and Microseconds added together from when function is called
   *
   * @param int $display Use '0' or null to not echo anything and 1 to echo the total time
   * @param int $precision The amount of digits from the right of the decimal to display. Default is 3.
--- 210,220 ----
   * timer_stop(1);
   * </code>
   * which will do what the above does. If you need the result, you can assign it to a variable, but
!  * in most cases, you only need to echo it.
   *
   * @since 0.71
!  * @global int $timestart Seconds and microseconds added together from when timer_start() is called
!  * @global int $timeend Seconds and microseconds added together from when function is called
   *
   * @param int $display Use '0' or null to not echo anything and 1 to echo the total time
   * @param int $precision The amount of digits from the right of the decimal to display. Default is 3.
***************
*** 249,257 ****
   * development environments.
   *
   * When WP_DEBUG_DISPLAY is true, WordPress will force errors to be displayed.
!  * WP_DEBUG_DISPLAY defaults to true. Defining it as false prevents WordPress from
!  * changing the global configuration setting. (Defining WP_DEBUG_DISPLAY as false
!  * will never force errors to be hidden.)
   *
   * When WP_DEBUG_LOG is true, errors will be logged to wp-content/debug.log.
   * WP_DEBUG_LOG defaults to false.
--- 249,257 ----
   * development environments.
   *
   * When WP_DEBUG_DISPLAY is true, WordPress will force errors to be displayed.
!  * WP_DEBUG_DISPLAY defaults to true. Defining it as null prevents WordPress from
!  * changing the global configuration setting. Defining WP_DEBUG_DISPLAY as false
!  * will force errors to be hidden.
   *
   * When WP_DEBUG_LOG is true, errors will be logged to wp-content/debug.log.
   * WP_DEBUG_LOG defaults to false.
***************
*** 270,275 ****
--- 270,277 ----
  
  		if ( WP_DEBUG_DISPLAY )
  			ini_set( 'display_errors', 1 );
+ 		elseif ( null !== WP_DEBUG_DISPLAY )
+ 			ini_set( 'display_errors', 0 );
  
  		if ( WP_DEBUG_LOG ) {
  			ini_set( 'log_errors', 1 );
***************
*** 285,293 ****
   *
   * To set directory manually, define <code>WP_LANG_DIR</code> in wp-config.php.
   *
!  * If the language directory exists within WP_CONTENT_DIR that is used
!  * Otherwise if the language directory exists within WPINC, that's used
!  * Finally, If neither of the preceeding directories is found,
   * WP_CONTENT_DIR/languages is used.
   *
   * The WP_LANG_DIR constant was introduced in 2.1.0.
--- 287,295 ----
   *
   * To set directory manually, define <code>WP_LANG_DIR</code> in wp-config.php.
   *
!  * If the language directory exists within WP_CONTENT_DIR, that is used.
!  * Otherwise if the language directory exists within WPINC, that's used.
!  * Finally, if neither of the preceding directories are found,
   * WP_CONTENT_DIR/languages is used.
   *
   * The WP_LANG_DIR constant was introduced in 2.1.0.
***************
*** 394,400 ****
  	} else if ( !$_wp_using_ext_object_cache && file_exists( WP_CONTENT_DIR . '/object-cache.php' ) ) {
  		// Sometimes advanced-cache.php can load object-cache.php before it is loaded here.
  		// This breaks the function_exists check above and can result in $_wp_using_ext_object_cache
! 		// being set incorrectly.  Double check if an external cache exists.
  		$_wp_using_ext_object_cache = true;
  	}
  
--- 396,402 ----
  	} else if ( !$_wp_using_ext_object_cache && file_exists( WP_CONTENT_DIR . '/object-cache.php' ) ) {
  		// Sometimes advanced-cache.php can load object-cache.php before it is loaded here.
  		// This breaks the function_exists check above and can result in $_wp_using_ext_object_cache
! 		// being set incorrectly. Double check if an external cache exists.
  		$_wp_using_ext_object_cache = true;
  	}
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/locale.php ./wordpress-3.3/wp-includes/locale.php
*** ./wordpress-3.2.1/wp-includes/locale.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/locale.php	2011-09-29 17:57:43.000000000 -0500
***************
*** 25,31 ****
  	 * Stores the translated strings for the one character weekday names.
  	 *
  	 * There is a hack to make sure that Tuesday and Thursday, as well
! 	 * as Sunday and Saturday don't conflict. See init() method for more.
  	 *
  	 * @see WP_Locale::init() for how to handle the hack.
  	 *
--- 25,31 ----
  	 * Stores the translated strings for the one character weekday names.
  	 *
  	 * There is a hack to make sure that Tuesday and Thursday, as well
! 	 * as Sunday and Saturday, don't conflict. See init() method for more.
  	 *
  	 * @see WP_Locale::init() for how to handle the hack.
  	 *
***************
*** 65,71 ****
  	/**
  	 * Stores the translated strings for 'am' and 'pm'.
  	 *
! 	 * Also the capalized versions.
  	 *
  	 * @since 2.1.0
  	 * @var array
--- 65,71 ----
  	/**
  	 * Stores the translated strings for 'am' and 'pm'.
  	 *
! 	 * Also the capitalized versions.
  	 *
  	 * @since 2.1.0
  	 * @var array
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/media.php ./wordpress-3.3/wp-includes/media.php
*** ./wordpress-3.2.1/wp-includes/media.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/media.php	2011-09-29 17:57:43.000000000 -0500
***************
*** 17,23 ****
   * than the supported will result in the content_width size or 500 if that is
   * not set.
   *
!  * Finally, there is a filter named, 'editor_max_image_size' that will be called
   * on the calculated array for width and height, respectively. The second
   * parameter will be the value that was in the $size parameter. The returned
   * type for the hook is an array with the width as the first element and the
--- 17,23 ----
   * than the supported will result in the content_width size or 500 if that is
   * not set.
   *
!  * Finally, there is a filter named 'editor_max_image_size', that will be called
   * on the calculated array for width and height, respectively. The second
   * parameter will be the value that was in the $size parameter. The returned
   * type for the hook is an array with the width as the first element and the
***************
*** 177,182 ****
--- 177,184 ----
  
  /**
   * Registers a new image size
+  *
+  * @since 2.9.0
   */
  function add_image_size( $name, $width = 0, $height = 0, $crop = false ) {
  	global $_wp_additional_image_sizes;
***************
*** 185,190 ****
--- 187,194 ----
  
  /**
   * Registers an image size for the post thumbnail
+  *
+  * @since 2.9.0
   */
  function set_post_thumbnail_size( $width = 0, $height = 0, $crop = false ) {
  	add_image_size( 'post-thumbnail', $width, $height, $crop );
***************
*** 260,266 ****
  }
  
  /**
!  * Calculates the new dimentions for a downsampled image.
   *
   * If either width or height are empty, no constraint is applied on
   * that dimension.
--- 264,270 ----
  }
  
  /**
!  * Calculates the new dimensions for a downsampled image.
   *
   * If either width or height are empty, no constraint is applied on
   * that dimension.
***************
*** 305,311 ****
  	$h = intval( $current_height * $ratio );
  
  	// Sometimes, due to rounding, we'll end up with a result like this: 465x700 in a 177x177 box is 117x176... a pixel short
! 	// We also have issues with recursive calls resulting in an ever-changing result. Contraining to the result of a constraint should yield the original result.
  	// Thus we look for dimensions that are one pixel shy of the max value and bump them up
  	if ( $did_width && $w == $max_width - 1 )
  		$w = $max_width; // Round it up
--- 309,315 ----
  	$h = intval( $current_height * $ratio );
  
  	// Sometimes, due to rounding, we'll end up with a result like this: 465x700 in a 177x177 box is 117x176... a pixel short
! 	// We also have issues with recursive calls resulting in an ever-changing result. Constraining to the result of a constraint should yield the original result.
  	// Thus we look for dimensions that are one pixel shy of the max value and bump them up
  	if ( $did_width && $w == $max_width - 1 )
  		$w = $max_width; // Round it up
***************
*** 329,335 ****
   * @param int $dest_w New width.
   * @param int $dest_h New height.
   * @param bool $crop Optional, default is false. Whether to crop image or resize.
!  * @return bool|array False, on failure. Returned array matches parameters for imagecopyresampled() PHP function.
   */
  function image_resize_dimensions($orig_w, $orig_h, $dest_w, $dest_h, $crop = false) {
  
--- 333,339 ----
   * @param int $dest_w New width.
   * @param int $dest_h New height.
   * @param bool $crop Optional, default is false. Whether to crop image or resize.
!  * @return bool|array False on failure. Returned array matches parameters for imagecopyresampled() PHP function.
   */
  function image_resize_dimensions($orig_w, $orig_h, $dest_w, $dest_h, $crop = false) {
  
***************
*** 398,404 ****
   * @param int $max_w Maximum width to resize to.
   * @param int $max_h Maximum height to resize to.
   * @param bool $crop Optional. Whether to crop image or resize.
!  * @param string $suffix Optional. File Suffix.
   * @param string $dest_path Optional. New image file path.
   * @param int $jpeg_quality Optional, default is 90. Image quality percentage.
   * @return mixed WP_Error on failure. String with new destination path.
--- 402,408 ----
   * @param int $max_w Maximum width to resize to.
   * @param int $max_h Maximum height to resize to.
   * @param bool $crop Optional. Whether to crop image or resize.
!  * @param string $suffix Optional. File suffix.
   * @param string $dest_path Optional. New image file path.
   * @param int $jpeg_quality Optional, default is 90. Image quality percentage.
   * @return mixed WP_Error on failure. String with new destination path.
***************
*** 669,677 ****
  }
  
  /**
!  * Adds a 'wp-post-image' class to post thumbnail thumbnails
   * Uses the begin_fetch_post_thumbnail_html and end_fetch_post_thumbnail_html action hooks to
!  * dynamically add/remove itself so as to only filter post thumbnail thumbnails
   *
   * @since 2.9.0
   * @param array $attr Attributes including src, class, alt, title
--- 673,681 ----
  }
  
  /**
!  * Adds a 'wp-post-image' class to post thumbnails
   * Uses the begin_fetch_post_thumbnail_html and end_fetch_post_thumbnail_html action hooks to
!  * dynamically add/remove itself so as to only filter post thumbnails
   *
   * @since 2.9.0
   * @param array $attr Attributes including src, class, alt, title
***************
*** 752,762 ****
   *
   * @since 2.5.0
   *
!  * @param array $attr Attributes attributed to the shortcode.
   * @return string HTML content to display gallery.
   */
  function gallery_shortcode($attr) {
! 	global $post, $wp_locale;
  
  	static $instance = 0;
  	$instance++;
--- 756,766 ----
   *
   * @since 2.5.0
   *
!  * @param array $attr Attributes of the shortcode.
   * @return string HTML content to display gallery.
   */
  function gallery_shortcode($attr) {
! 	global $post;
  
  	static $instance = 0;
  	$instance++;
***************
*** 906,912 ****
   *
   * @since 2.5.0
   *
!  * @param bool $prev Optional. Default is true to display previous link, true for next.
   */
  function adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
  	global $post;
--- 910,916 ----
   *
   * @since 2.5.0
   *
!  * @param bool $prev Optional. Default is true to display previous link, false for next.
   */
  function adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
  	global $post;
***************
*** 1079,1085 ****
  	}
  
  	/**
! 	 * If a post/page was saved, then output Javascript to make
  	 * an AJAX request that will call WP_Embed::cache_oembed().
  	 */
  	function maybe_run_ajax_cache() {
--- 1083,1089 ----
  	}
  
  	/**
! 	 * If a post/page was saved, then output JavaScript to make
  	 * an AJAX request that will call WP_Embed::cache_oembed().
  	 */
  	function maybe_run_ajax_cache() {
***************
*** 1144,1150 ****
  	 * @uses update_post_meta()
  	 *
  	 * @param array $attr Shortcode attributes.
! 	 * @param string $url The URL attempting to be embeded.
  	 * @return string The embed HTML on success, otherwise the original URL.
  	 */
  	function shortcode( $attr, $url = '' ) {
--- 1148,1154 ----
  	 * @uses update_post_meta()
  	 *
  	 * @param array $attr Shortcode attributes.
! 	 * @param string $url The URL attempting to be embedded.
  	 * @return string The embed HTML on success, otherwise the original URL.
  	 */
  	function shortcode( $attr, $url = '' ) {
***************
*** 1288,1294 ****
  		return apply_filters( 'embed_maybe_make_link', $output, $url );
  	}
  }
! $wp_embed = new WP_Embed();
  
  /**
   * Register an embed handler. This function should probably only be used for sites that do not support oEmbed.
--- 1292,1298 ----
  		return apply_filters( 'embed_maybe_make_link', $output, $url );
  	}
  }
! $GLOBALS['wp_embed'] = new WP_Embed();
  
  /**
   * Register an embed handler. This function should probably only be used for sites that do not support oEmbed.
***************
*** 1372,1379 ****
   * @uses _wp_oembed_get_object()
   * @uses WP_oEmbed::get_html()
   *
!  * @param string $url The URL that should be embeded.
!  * @param array $args Addtional arguments and parameters.
   * @return string The original URL on failure or the embed HTML on success.
   */
  function wp_oembed_get( $url, $args = '' ) {
--- 1376,1383 ----
   * @uses _wp_oembed_get_object()
   * @uses WP_oEmbed::get_html()
   *
!  * @param string $url The URL that should be embedded.
!  * @param array $args Additional arguments and parameters.
   * @return string The original URL on failure or the embed HTML on success.
   */
  function wp_oembed_get( $url, $args = '' ) {
